Update post info
curl --request PATCH \
--url https://api.postflow.app/v1/posts/{post}/info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"note": "<string>",
"is_publicly_shared": true,
"should_skip": true,
"visible_for_client": true,
"labelIds": [
"<string>"
]
}
'import requests
url = "https://api.postflow.app/v1/posts/{post}/info"
payload = {
"name": "<string>",
"note": "<string>",
"is_publicly_shared": True,
"should_skip": True,
"visible_for_client": True,
"labelIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
note: '<string>',
is_publicly_shared: true,
should_skip: true,
visible_for_client: true,
labelIds: ['<string>']
})
};
fetch('https://api.postflow.app/v1/posts/{post}/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"public_id": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Posts
Update post info
Updates post metadata such as name and labels. This action does not require re-approval.
PATCH
/
posts
/
{post}
/
info
Update post info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The post ID
Body
application/json
Response
If is_publicly_shared is true, you can use this ID to construct a link for public sharing. https://new.postflow.app/p/PUBLIC_ID
⌘I